/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Grpacesso;
import com.tabajara.base.tables.records.GrpacessoRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class GrpacessoDao extends AbstractVertxDAO<GrpacessoRecord, com.tabajara.base.tables.pojos.Grpacesso, Integer, Future<List<com.tabajara.base.tables.pojos.Grpacesso>>, Future<com.tabajara.base.tables.pojos.Grpacesso>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<GrpacessoRecord,com.tabajara.base.tables.pojos.Grpacesso,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public GrpacessoDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Grpacesso.GRPACESSO, com.tabajara.base.tables.pojos.Grpacesso.class, new JDBCClassicQueryExecutor<GrpacessoRecord,com.tabajara.base.tables.pojos.Grpacesso,Integer>(com.tabajara.base.tables.pojos.Grpacesso.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Grpacesso object) {
        return object.getGrpid();
    }

    /**
     * Find records that have <code>grpdescricao IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Grpacesso>> findManyByGrpdescricao(List<String> values) {
        return findManyByCondition(Grpacesso.GRPACESSO.GRPDESCRICAO.in(values));
    }

    /**
     * Find records that have <code>grpativo IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Grpacesso>> findManyByGrpativo(List<Boolean> values) {
        return findManyByCondition(Grpacesso.GRPACESSO.GRPATIVO.in(values));
    }
}
